﻿using Bridge.Implementations;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bridge.Bridges
{
	internal class Abstraction
	{
		protected IImplementation _implementation;

		public Abstraction(IImplementation implementation)
		{
			_implementation = implementation;
		}

		public virtual string Operation()
		{
			return $"Abstract: Base operation with: {_implementation.OperationImplementation()}";
		}
	}
}
