﻿using Flyweight.Objects;
using Newtonsoft.Json;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Flyweight.Flyweights
{
	internal class Flyweight
	{
		private Car _sharedState;

		public Flyweight(Car car)
		{
			_sharedState = car;
		}

		public void Operation(Car uniqueState)
		{
			string s = JsonConvert.SerializeObject(_sharedState);
			string u = JsonConvert.SerializeObject(uniqueState);
			Console.WriteLine($"Flyweight: Displaying shared {s} and unique {u} state.");
		}
	}
}
